DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# GaborIIR

Infinite impulse response filter

## SYNOPSIS

`#include "dip_iir.h"`

dip_Error dip_GaborIIR ( in, out, boundary, ps, sigmas, frequencies, order, truncation )

## DATA TYPES

binary, integer, float

## FUNCTION

Recursive infinite impulse response implementation of the Gabor filter.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_BoundaryArray` | `boundary` | Boundary conditions
`dip_BooleanArray` | `ps` | Dimensions to process
`dip_FloatArray` | `sigmas` | Sigma of Gaussian
`dip_FloatArray` | `frequencies` | frequencies
`dip_IntegerArray` | `order` | order
`dip_float` | `truncation` | Truncation

## SEE ALSO

`GaussIIR`

DIPlib on-line documentation | Function reference | Global function index